package com.example.smartlab.navigation

import Screen
import androidx.compose.runtime.Composable
import androidx.navigation.NavType
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import androidx.navigation.navArgument
import com.example.smartlab.ViewModelApi
import com.example.smartlab.sceens.Entrance
import com.example.smartlab.sceens.InputCode
import com.example.smartlab.sceens.Pager
import com.example.smartlab.sceens.Password
import com.example.smartlab.sceens.PatientsCard
import com.example.smartlab.sceens.Start

@Composable
fun Navigation(viewModelSmart: ViewModelApi) {


    val navController = rememberNavController()
    NavHost(navController = navController, startDestination = Screen.MainScreen.route)
    {
        composable(route = Screen.MainScreen.route)
        {
            Start(navController = navController)

        }
        composable(route = Screen.Pager.route)
        {
            Pager(navController = navController)
        }
        composable(route = Screen.Entrance.route)
        {
            Entrance(navController = navController, viewModelApi = viewModelSmart)
        }
        composable(
            route = Screen.InputCode.route +"/{email}",
            arguments = listOf(
                navArgument("email")
                {
                    type = NavType.StringType
                }))
        {
            val email = it.arguments!!.getString("email")
            InputCode(navController = navController, email = email!!, viewModelApi = viewModelSmart)
        }
        composable(route = Screen.Password.route)
        {
           Password(navController)
        }
        composable(route = Screen.PatientsCard.route)
        {
            PatientsCard()
        }




    }

}

