
sealed class Screen (val route:String) {

    object MainScreen : Screen("main_screen")
    object Pager : Screen("pager")
    object Entrance :Screen("entrance")
    object InputCode:Screen("input_code")
    object Password:Screen("password")
    object PatientsCard:Screen("patientsCard")

    fun withArg(vararg args:String):String
    {
        return buildString {
            append(route)
            args.forEach {arg ->
                append("/$arg")
            }
        }
    }

}