package com.example.smartlab.sceens

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxHeight
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.foundation.text.KeyboardOptions
import androidx.compose.material3.ExperimentalMaterial3Api
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.material3.TextFieldDefaults
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.saveable.rememberSaveable
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.input.KeyboardType
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.smartlab.ui.theme.SF
import java.nio.file.WatchEvent

@Preview
@Composable
fun PatientsCard()
{
    Column(modifier = Modifier
        .fillMaxSize()
        .background(MaterialTheme.colorScheme.background)
        .padding(end = 20.dp, start = 20.dp)) {
        Row(modifier = Modifier
            .fillMaxWidth()
            .padding(top = 30.dp,),
            horizontalArrangement = Arrangement.SpaceBetween){
            Column(){
                Text(text = "Создание карты ", fontSize = 24.sp, fontFamily = SF, fontWeight = FontWeight.Bold, color = MaterialTheme.colorScheme.onBackground)
                Text(text = "пациента", fontSize = 24.sp, fontFamily = SF, fontWeight = FontWeight.Bold, color = MaterialTheme.colorScheme.onBackground)
            }
            Text(text = "Пропустить", color = Color(0xFF1A6FEE),fontSize = 15.sp,fontFamily = SF,fontWeight = FontWeight.Normal, modifier = Modifier.padding(top = 7.dp))
        }
        var lastName: String by rememberSaveable { mutableStateOf("") }
        var firstName: String by rememberSaveable { mutableStateOf("") }
        var patronymic: String by rememberSaveable { mutableStateOf("") }
        Text("Без карты пациента вы не сможете заказать анализы.", fontSize = 15.sp, fontFamily = SF, fontWeight = FontWeight.Normal, color = Color(0xFF939396), modifier = Modifier.padding(top = 15.dp))
        Text("В картах пациентов будут храниться результаты анализов вас и ваших близких.", fontSize = 15.sp, fontFamily = SF, fontWeight = FontWeight.Normal, color = Color(0xFF939396), modifier = Modifier.padding(top = 10.dp))
        Column(modifier = Modifier
            .fillMaxWidth()
            .fillMaxHeight(0.7f),
            verticalArrangement = Arrangement.SpaceAround,
            horizontalAlignment = Alignment.CenterHorizontally) {
            FIO(text = "Фамилия", search = lastName, onValueChange ={} )
            FIO(text = "Имя", search = firstName, onValueChange ={} )
            FIO(text = "Отчество", search = patronymic, onValueChange ={} )

        }






    }
}
@OptIn(ExperimentalMaterial3Api::class)
@Composable
fun FIO( text:String,search: String,
         modifier: Modifier = Modifier,
         onValueChange: (String) -> Unit)
{
        Box(
            modifier = modifier
                .clip(RoundedCornerShape(10.dp))
                .background(Color(0XFFE8EFFF))

        ) {
            OutlinedTextField(
                keyboardOptions = KeyboardOptions(
                    keyboardType = KeyboardType.Text
                ),
                value = search,
                onValueChange = onValueChange,
                textStyle = TextStyle(
                    color = Color.Black,
                    fontSize = 15.sp
                ),
                colors = TextFieldDefaults.textFieldColors(
                    containerColor = Color(0XFFF5F5F9),
                    focusedIndicatorColor = Color(0xFFEBEBEB),
                    focusedTextColor = Color(0XFF578FFF),
                    disabledIndicatorColor = Color.Transparent,
                    unfocusedIndicatorColor = Color.Transparent,
                    cursorColor = Color(0XFF578FFF),
                    focusedSupportingTextColor = Color(0xFF00000)
                ),
                modifier = Modifier
                    .fillMaxWidth(1f)
                    .background(Color(0XFFF5F5F9))
                    .height(height = 50.dp)
                    .width(width = 335.dp),
                placeholder = {
                    Text(
                        modifier = Modifier.fillMaxWidth(),
                        text = text,
                        fontSize = 15.sp,
                        color = Color(0XFF939396)
                    )
                }
            )

        }
    }




